<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("../ingreso/cIngreso.php");

$oIngreso = new cIngreso();

require_once ("../egreso/cEgreso.php");

$oEgreso = new cEgreso();

require_once("../cuentas/cCuentas.php");

$oCuentas = new cCuentas();

require_once("../formatos/formato.php");

require_once("../formatos/mysql.php");

$oMysql = new cMysql();



$estado_ingreso='1';

$estado_egreso='1,2';



$fec_ini='01-01-2014';

$fec_fin=$oMysql->DATE_ADD(fecha_mysql($_POST['txt_fil_caj_fec1']),'-1','DAY');



$mon_id=1;



			if ($_SESSION['usuariogrupo_id']=='6'){

				$punven_id = $_SESSION['puntoventa_id'];

			}else{

				$punven_id = '';

			}





$dts=$oIngreso->mostrar_suma($punven_id,$_POST['cmb_fil_caj_id'],fecha_mysql($fec_ini),$fec_fin,$_POST['cmb_fil_cue_id'],

$_POST['cmb_fil_subcue_id'],$_POST['txt_fil_ing_numdoc'],$_POST['cmb_fil_cli_id'],$estado_ingreso);

$dt = mysqli_fetch_array($dts);

$sa_ingreso_sol	=$dt['total'];

mysqli_free_result($dts);



$dts=$oEgreso->mostrar_suma($punven_id,$_POST['cmb_fil_caj_id'],fecha_mysql($fec_ini),$fec_fin,$_POST['cmb_fil_cue_id'],

$_POST['cmb_fil_subcue_id'],$_POST['txt_fil_egr_numdoc'],$_POST['cmb_fil_pro_id'],$estado_egreso);

$dt = mysqli_fetch_array($dts);

$sa_egreso_sol	=$dt['total'];

mysqli_free_result($dts);



$saldo_anterior_sol=$sa_ingreso_sol-$sa_egreso_sol;



$dts=$oIngreso->mostrar_suma($punven_id,$_POST['cmb_fil_caj_id'],fecha_mysql($_POST['txt_fil_caj_fec1']),fecha_mysql($_POST['txt_fil_caj_fec2']),

$_POST['cmb_fil_cue_id'],$_POST['cmb_fil_subcue_id'],$_POST['txt_fil_ing_numdoc'],$_POST['cmb_fil_pro_id'],$estado_ingreso);

$dt = mysqli_fetch_array($dts);

$ingreso_sol	=$dt['total'];

mysqli_free_result($dts);





$dts=$oEgreso->mostrar_suma($punven_id,$_POST['cmb_fil_caj_id'],fecha_mysql($_POST['txt_fil_caj_fec1']),fecha_mysql($_POST['txt_fil_caj_fec2']),

$_POST['cmb_fil_cue_id'],$_POST['cmb_fil_subcue_id'],$_POST['txt_fil_egr_numdoc'],$_POST['cmb_fil_pro_id'],$estado_egreso);

$dt = mysqli_fetch_array($dts);

$egreso_sol	=$dt['total'];

mysqli_free_result($dts);





echo $egreso_sol.'--';



$va = $ingreso_sol-$egreso_sol;

$saldo_sol=$saldo_anterior_sol+$ingreso_sol-$egreso_sol;



if($_POST['cmb_fil_mon_id']==1){

	$lblmon = "SOLES S./.";

	$lblmon_sim = "S./";

}else if($_POST['cmb_fil_mon_id']==2){

	$lblmon = "DOLARES US$.";

	$lblmon_sim = "US$";

}



?>

<table class="table table-striped table-bordered">

  <tr>

    <th align="left">CAJA</th>

    <th align="right"><span class="pull-right"><?php echo $lblmon; ?></span> </th>

    

  <tr>

    <td align="left">SALDO ANTERIOR</td>

    <td align="right"><span class="pull-left"><?php echo $lblmon_sim; ?></span> <?php echo formato_money($saldo_anterior_sol)?></td>

   

  </tr>

  <tr>

    <td align="left">&nbsp;</td>

    <td align="right">&nbsp;</td>

   

  </tr>

  <tr>

    <td align="left">INGRESOS</td>

    <td align="right"><span class="pull-left"><?php echo $lblmon_sim; ?></span> <?php echo formato_money($ingreso_sol)?></td>

    

  </tr>

  <tr>

    <td align="left">EGRESOS</td>

    <td align="right"><span class="pull-left"><?php echo $lblmon_sim; ?></span> <?php echo formato_money($egreso_sol)?></td>

  </tr>

  <tr class="bg-blue" >

    <td align="left">SALDO DIA</td>

    <td align="right"><span class="pull-left"><?php echo $lblmon_sim; ?></span> <?php echo formato_money($va)?></td>  

  </tr>

  

 <tr style="font-weight:bold">

    <td align="left">SALDO</td>

    <td align="right"><span class="pull-left"><?php echo $lblmon_sim; ?></span> <?php echo formato_money($saldo_sol)?></td>

   

  </tr>

</table>

